package com.tzld.piaoquan.wecom.component.filter;


import org.springframework.stereotype.Component;

import java.util.HashSet;
import java.util.Set;

@Component
public class HistoryFilter {

    public static Set<Long> filterHistorySet(Set<Long>... sets) {
        if (sets.length == 0) {
            return new HashSet<>();
        }
        Set<Long> result = new HashSet<>(sets[0]);

        for (int i = 1; i < sets.length; i++) {
            result.retainAll(sets[i]);
        }

        return result;
    }

}
